<?error_reporting(E_ALL^E_NOTICE);
if($ku['worker2_time']<=$time)
{
mysql_query("UPDATE `kolhoz_user` SET `worker2_time` = '',`worker2`='' WHERE `id` = '$ku[id]' LIMIT 1");
}
else
{
if($ku['worker2']==2)
{
$namew2='Марфа';$food=1;$money=1;
}


if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_petground` WHERE `id_user` = '$ku[id]' AND (`time` < '$time' OR `time` = '$time') AND `id_pet` != '0'"),0)!=0)
{
$q=mysql_query("SELECT * FROM `kolhoz_petground` WHERE `id_user` = '$ku[id]' AND (`time` < '$time' OR `time` = '$time') AND `id_pet` != '0'");
$orat=0;
while($post=mysql_fetch_array($q))
{
$max_time=$time+($post['level']*(3600*4));
$pet=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_pet` WHERE `id` = '$post[id_pet]'"));
for($kp=1;$kp<=20;$kp++)
{
$mezh_time=$max_time-$post['time'];
if($mezh_time>=4*3600)
{
$korm_time=($post['time']<=$time?$time+(4*3600):$post['time']+(4*3600));
if($korm_time>$max_time)$korm_time=$max_time;
$post['time']=$korm_time;

$wh=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_warehouse` WHERE `id_user` = '$ku[id]' AND (`count` = '3' OR `count` > '3')"));
if(isset($wh) && $wh['count']>=3)
{
$rat=$pet['rating'];
$rat_fooder_act=0;
$rat_sc_act=0;
$rat_drakon_act=0;
$rat_school_act=0;
$rat_vet_act=0;
$rat_lib_act=0;
$rat_vetruk=0;
if(isset($sc_act))$rat_sc_act=$rat*2;
if(isset($vetruk))$rat_vetruk=$rat+$rat*2;
if(isset($drakon_act))$rat_drakon_act=(($rat/100)*300);
if(isset($fooder_act))$rat_fooder_act=(($rat/100)*$fooder_act);
if(isset($school_act))$rat_school_act=$rat*2;
if(isset($vet_act))$rat_vet_act=($rat/100)*$vet_ps_r;
if(isset($lib_act))$rat_lib_act=$rat*2;
if(isset($shmel_act))$rat_fooder_act=$rat_fooder_act*2;
$ratt=$rat_fooder_act+$rat_sc_act+$rat_vetruk+$rat_drakon_act+$rat_school_act+$rat_vet_act+$rat_lib_act;
if($ratt==0)$rat=$rat;
else $rat=$ratt;
if(isset($dexp))$rat=$rat*2;

$orat=$orat+$rat;

mysql_query("UPDATE `kolhoz_user` SET `kormer` = '".($ku['kormer']+1)."' WHERE `id` = '$ku[id]'");
$ku=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '$ku[id]'"));


mysql_query("UPDATE `kolhoz_petground` SET `time` = '$korm_time' WHERE `id` = '$post[id]' LIMIT 1");
mysql_query("UPDATE `kolhoz_warehouse` SET `count` = '".($wh['count']-3)."' WHERE `id` = '$wh[id]' LIMIT 1");
}
else
{
mysql_query("UPDATE `kolhoz_user` SET `rating` = '".($ku['rating']+$orat)."' WHERE `id` = '$ku[id]'");
if($orat>0)$_SESSION['rating']=$orat;
update_mc($orat);
$_SESSION['err']=1;

}
}
}
}
mysql_query("UPDATE `kolhoz_user` SET `rating` = '".($ku['rating']+$orat)."' WHERE `id` = '$ku[id]'");
$_SESSION['rating']=$orat;
update_mc($orat);
echo"<div class='feedback'><ul class='feedbackPanel'><li class='feedbackPanelINFO'><span class='feedbackPanelINFO'>
<img width=\"16\" height=\"16\" src=\"images/icons/worker".$ku['worker2'].".png\" alt=\"\"> Работник ".$namew2." покормила животных.
</span></li></ul></div>";
}


}
?>